#!groovy
@Library('dotnetutils') _

pipeline {
  agent any
  options {
     buildDiscarder(logRotator(artifactDaysToKeepStr: '10', artifactNumToKeepStr: '5', daysToKeepStr: '10', numToKeepStr: '5')) 
  }

  stages {
    stage('Build') {
      steps {
        dotNetBuild target: 'pack', configuration:'Release'
      } 
    }
    stage('Archive') {
      steps {
        dotNetArchive()
      }
    }
    stage('Results') {
      when {
        not { branch 'SDMXRI-*' }
      }
      steps {
        dotNetResult()
      }
    }
  }
}
